Loading...
Searching...
No Matches
XrdCl::CloseAction Struct Reference

Close action. More...

`#include <XrdClAction.hh>`

Inheritance diagram for XrdCl::CloseAction:
Collaboration diagram for XrdCl::CloseAction:

## Public Member Functions

| CloseAction (void *file, uint16_t timeout)
std::string | ArgStr ()
| Convert operation arguments into a string.
std::string | Name ()
| Action name.
Public Member Functions inherited from XrdCl::Action
| Action (void *file, uint16_t timeout)
virtual | ~Action ()
| Destructor.
void | RecordResult (XRootDStatus *st, AnyObject *rsp)
| Record the server response / error / timeout.
virtual void | Serialize (AnyObject *response)
| Serialize server response.
std::string | ToString ()
| Convert the action / response data into csv row.

## Additional Inherited Members

Static Public Member Functions inherited from XrdCl::Action
static double | time (std::chrono::time_point< std::chrono::system_clock, std::chrono::nanoseconds > tp)
| Convert timpoint to unix timestamp with ns.
static double | timeNow ()
| Get curretn unix time in ns precision as a double.
Public Attributes inherited from XrdCl::Action
uint64_t | id
std::string | serialrsp
std::chrono::system_clock::time_point | start
XRootDStatus | status
std::chrono::system_clock::time_point | stop
uint16_t | timeout

## Detailed Description

Close action.

Definition at line 171 of file XrdClAction.hh.

## Constructor & Destructor Documentation

## CloseAction()

XrdCl::CloseAction::CloseAction | ( | void * | file,
|  | uint16_t | timeout )

inline

Definition at line 173 of file XrdClAction.hh.

: Action(file, timeout)
{
}
Action
int Action
Definition XrdSecpwdSrvAdmin.cc:155
XrdCl::Action::timeout
uint16_t timeout
Definition XrdClAction.hh:131

References XrdCl::Action::Action(), and XrdCl::Action::timeout.

Here is the call graph for this function:

## Member Function Documentation

## ArgStr()

std::string XrdCl::CloseAction::ArgStr | ( |  | ) |

inline virtual

Convert operation arguments into a string.

Implements XrdCl::Action.

Definition at line 180 of file XrdClAction.hh.

{ return {}; }

## Name()

std::string XrdCl::CloseAction::Name | ( |  | ) |

inline virtual

Action name.

Implements XrdCl::Action.

Definition at line 178 of file XrdClAction.hh.

{ return "Close"; }

The documentation for this struct was generated from the following file:

- XrdClAction.hh